const bleno = require('bleno')
const config = require('./config.json')

const TimeCharacteristic = require('./time-characteristic')
const GdataCharacteristic = require('./gdata-characteristic')

class MainService extends bleno.PrimaryService {
  constructor(){
    super({
      uuid: config.uuid.service.id,
      characteristics: [
        new TimeCharacteristic(),
        new GdataCharacteristic()
      ]
    })
  }
}

module.exports = MainService
